What happens if you can’t use OAuth?

Friday, 11th September 2009Short URL

Something I’ll admit didn’t even cross my mind until it was brought up by a beta tester about a month ago is that those who had been using Hahlo because twitter.com was blocked for one reason or another, now can’t really use Hahlo4 because it uses OAuth. And OAuth requires you to login at twitter.com, damn it.

First, why OAuth?

Its the way forward, twitter won’t be keeping the basic auth API around forever, despite certain developers moaning about it, and they are making changes that are only available via OAuth. I don’t necessarily like having to jump back to twitter and then back to hahlo when I login, but (and hopefully you’ll notice this too) you don’t need to login nearly as often as you did in the past.

I’m sorry China, Iran, and everyone else behind ridiculous firewalls

I hear you’re pain, truly I do, but there is nothing I can do about twitter being blocked, so don’t blame me, blame those who put in place the restriction in the first place. However, since many of you were able to use Hahlo 3.1 I have put up a copy that you can continue to use (for as long as it keeps working… more on that in a minute), you can get to it right now, and there is a link on the Hahlo4 login screen too, just go to http://v3.hahlo.com.

But ‘feature X’ is missing/broken in Hahlo 3.1

Sorry, but I’m not going to commit to keeping two completely different versions of Hahlo up-to-date, maintaining 1 version is more than enough work to fill up my free time. Hahlo4 is the way forward, and it will be the version that gets updates. Hahlo 3.1 will not be receiving update, with very, very, very few exceptions.

Can you *please* add basic auth to Hahlo4?

Short answer, no. For a few reasons. It would require me to rewrite a large chunk of Hahlo4’s code, it adds another level of complexity that I’d rather avoid (less complexity = less potential problems), and spending (my free) time implementing a login scheme that may not exist in 6 months time is not something I wish to do.

Again, I’m sorry there are some of you who love Hahlo but can’t use version 4 because you are unable to login via OAuth, which is why I decided to keep v3.1 available, so if you can’t get use OAuth, remember you can still use the old version here: http://v3.hahlo.com


Leave a Comment




One Response

  1. If you’re somewhere behind the firewall and you have figured out some way to avoid this inconvenience on your PC/Mac but not on your iPhone, you can have OAuth done on your PC/Mac and clone browser cookies to your iPhone.